stages:
  - code_analysis

# *** Code Analysis ***

ruff:
  image: python:latest
  stage: code_analysis
  script:
    - pip install ruff
    - ruff .

black:
  image: python:latest
  stage: code_analysis
  script:
    - pip install black
    - black --check .
